LOCAL X := {}   /* create an empty array */

DO WHILE .T. /* loop forever or until a crash */

   AADD(X,SPACE(32768)) /* add 32768 characters to the array */

   @24,0 SAY ALLTRIM(STR(LEN(X)*32768))+" "+ALLTRIM(STR(LEN(X)))
             
             /* total bytes stores */    /* total array elements */
ENDDO

/* 

This is a test program to test the limits of clippers VM manager.  Changing
the number of bytes added to the array in each loop (32768) varys how long
it takes before the program bombs out with at string overflow error. Interesting,
since it seems like it should be able to handle the same number of bytes no
matter how they are divided in an array.  Play with it and see what you think.

Please E-Mail any suggestions, questions, or comments to me.  I would like to know
how exactly the VM manager works.

Executed as above on a 386DX-40MHz computer with 4MB of RAM it bombs out at
7.9 million or so bytes stored.  Decreasing the number of bytes stored in each
array element will cause the program to bomb quicker Hmmmmm....

Troy Morton
*/


